org.springframework.beans.factory.parsing

## Class FailFastProblemReporter

- java.lang.Object
- - org.springframework.beans.factory.parsing.FailFastProblemReporter

All Implemented Interfaces:
  ProblemReporter

    public class FailFastProblemReporter
    extends Object
    implements ProblemReporter

Simple `ProblemReporter` implementation that exhibits fail-fast behavior when errors are encountered.

The first error encountered results in a `BeanDefinitionParsingException` being thrown.

Warnings are written to `the log` for this class.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Rick Evans

### Constructor Summary

Constructors
Constructor and Description
`FailFastProblemReporter()`

### Method Summary

Methods
`void` `error(Problem problem)` Throws a `BeanDefinitionParsingException` detailing the error that has occurred.
`void` `fatal(Problem problem)` Throws a `BeanDefinitionParsingException` detailing the error that has occurred.
`void` `setLogger(Log logger)` Set the `logger` that is to be used to report warnings.
`void` `warning(Problem problem)` Writes the supplied `Problem` to the `Log` at `WARN` level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailFastProblemReporter

    public FailFastProblemReporter()

### Method Detail

#### setLogger

    public void setLogger(Log logger)

Set the `logger` that is to be used to report warnings.

If set to `null` then a default `logger` set to the name of the instance class will be used.

Parameters:
  `logger` - the `logger` that is to be used to report warnings

#### fatal

    public void fatal(Problem problem)

Throws a `BeanDefinitionParsingException` detailing the error that has occurred.

Specified by:
  `fatal` in interface `ProblemReporter`
Parameters:
  `problem` - the source of the error

#### error

    public void error(Problem problem)

Throws a `BeanDefinitionParsingException` detailing the error that has occurred.

Specified by:
  `error` in interface `ProblemReporter`
Parameters:
  `problem` - the source of the error

#### warning

    public void warning(Problem problem)

Writes the supplied `Problem` to the `Log` at `WARN` level.

Specified by:
  `warning` in interface `ProblemReporter`
Parameters:
  `problem` - the source of the warning